%define libname 	%mklibname qxt 0
%define develname 	%mklibname qxt -d


Name:		libqxt
Version:	0.6.2
Release:	%mkrel 2
Summary:	Qt extension library
Group:		System/Libraries
License:	CPL or LGPLv2
URL:		http://www.libqxt.org/
Source0:	http://bitbucket.org/libqxt/libqxt/get/v%{version}.tar.xz
Patch1:		libqxt-media-keys.patch
Patch2:		libqxt-header-fix.patch
Patch3:		libqxt-use-system-qdoc3.patch
Patch4:		libqxt-fix-compiler-flags.patch
Patch5:		libqxt-linking.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:	avahi-compat-libdns_sd-devel
BuildRequires:	db4-devel
BuildRequires:	openssl-devel
BuildRequires:	qt4-devel
BuildRequires:	%{_lib}xrandr2-devel
BuildRequires:	%{_lib}avahi-core-devel

%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

%description
LibQxt, an extension library for Qt, provides a suite of cross-platform
utility classes to add functionality not readily available in the Qt toolkit.

%package -n %{libname}
Summary:  Qt extension library
Group: System/Libraries
Provides: %{name} = %{version}

%description -n %{libname}
LibQxt, an extension library for Qt, provides a suite of cross-platform
utility classes to add functionality not readily available in the Qt toolkit.


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for developing applications
that use LibQxt.


%prep
%setup -q -n %{name}-%{name}-v%{version}
%apply_patches

# We don't want rpath
sed -i '/RPATH/d' src/qxtlibs.pri


%build
# Does not use GNU configure
./configure -verbose \
	    -qmake-bin qmake \
	    -prefix %{_prefix} \
	    -libdir %{_libdir}
make %{?_smp_mflags}
make %{?_smp_mflags} docs


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

# We are installing these to the proper location
rm -fr $RPM_BUILD_ROOT%{_prefix}/doc/

%clean
rm -rf $RPM_BUILD_ROOT



%files -n %{libname}
%defattr(-,root,root,-)
%doc AUTHORS CHANGES *.txt LICENSE README
%{_libdir}/*.so.*


%files -n %{develname}
%defattr(-,root,root,-)
%doc examples/ doc/html/
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/qt4/mkspecs/features/qxt.prf
%{_libdir}/qt4/mkspecs/features/qxtvars.prf
%{_libdir}/qt4/plugins/designer/libQxtDesignerPlugins.so

%changelog
* Tue Mar 17 2015 bb <bb> 0.6.2-2pclos2015
- rebuild for 2015
- add debian patches

* Thu Sep 19 2013 Texstar <texstar at gmail.com> 0.6.2-1pclos2013
- create package
